<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:clipToPadding="false"
    android:orientation="vertical"
    android:paddingLeft="16dp"
    android:paddingTop="18dp"
    android:paddingRight="16dp"
    android:paddingBottom="12dp">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:gravity="center_vertical">

        <View
            android:layout_width="24dp"
            android:layout_height="12dp"
            android:background="@drawable/bg_skeleton_radius_4" />

        <View
            android:layout_width="40dp"
            android:layout_height="12dp"
            android:layout_marginStart="16dp"
            android:background="@drawable/bg_skeleton_radius_4" />

    </LinearLayout>

    <com.lightgame.view.scale.ScaleFrameLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="6dp"
        android:background="@drawable/bg_skeleton_radius_8"
        app:fractionValue="0.5609"
        app:measureBy="width" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="12dp"
        android:orientation="horizontal">

        <View
            android:layout_width="40dp"
            android:layout_height="40dp"
            android:background="@drawable/bg_skeleton_radius_10" />

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="8dp"
            android:layout_weight="1"
            android:orientation="vertical">

            <View
                android:layout_width="72dp"
                android:layout_height="16dp"
                android:background="@drawable/bg_skeleton_radius_4" />

            <View
                android:layout_width="160dp"
                android:layout_height="12dp"
                android:layout_marginTop="8dp"
                android:background="@drawable/bg_skeleton_radius_4" />
        </LinearLayout>

        <View
            android:layout_width="56dp"
            android:layout_height="28dp"
            android:background="@drawable/bg_skeleton_radius_999" />
    </LinearLayout>

</LinearLayout>